import 'package:equatable/equatable.dart';

class LogModel extends Equatable {
  final String id;
  final String message;
  final String fromDevice;
  final String ip;
  final String type;
  final String title;
  final String source;
  final DateTime createdAt;

  LogModel({
    this.id,
    this.message,
    this.fromDevice,
    this.ip,
    this.type,
    this.title,
    this.source,
    this.createdAt,
  });

  factory LogModel.fromJson(Map<String, dynamic> json) {
    return LogModel(
      id: json['id'],
      message: json['message'],
      fromDevice: json['fromDevice'],
      ip: json['ip'],
      type: json['type'],
      createdAt:
          json['createdAt'] != null ? DateTime.parse(json['createdAt']) : null,
      source: json['source'],
      title: json['title'],
    );
  }

  Map<String, dynamic> toJson() => {
        'id': id,
        'message': message,
        'fromDevice': 'mobile',
        'ip': ip,
        'type': type,
        'title': title,
        'source': 'Feed',
        'createdAt': createdAt != null
            ? '${createdAt.year.toString().padLeft(4, '0')}-${createdAt.month.toString().padLeft(2, '0')}-${createdAt.day.toString().padLeft(2, '0')} '
                '${createdAt.hour.toString().padLeft(2, '0')}:${createdAt.minute.toString().padLeft(2, '0')}:${createdAt.second.toString().padLeft(2, '0')}:${createdAt.millisecond.toString().padLeft(2, '0')}'
            : null,
      };

  @override
  List<Object> get props => [id];
}
