import 'package:flutter/material.dart';

Color secondColor = Color(0xFF42C6A5);
final appDarkBlueColor = Color(0xFF171725);
final appGreyBackgroundColor = Color(0xFF44444F);
final appGreyTextColor = Color(0xFFB5B5BE);
final appDarkGreyTextColor = Color(0xFF92929D);
final appLightGreyBg = Color(0xFFF1F1F5);
final feedCalendarGreyColor = Color(0xFF98A9BC);
Color primaryColor = Color(0xFF083356);

Color darken(Color color, [double amount = .1]) {
  assert(amount >= 0 && amount <= 1);

  final hsl = HSLColor.fromColor(color);
  final hslDark = hsl.withLightness((hsl.lightness - amount).clamp(0.0, 1.0));

  return hslDark.toColor();
}

Color lighten(Color color, [double amount = .1]) {
  assert(amount >= 0 && amount <= 1);

  final hsl = HSLColor.fromColor(color);
  final hslLight = hsl.withLightness((hsl.lightness + amount).clamp(0.0, 1.0));

  return hslLight.toColor();
}

Map<String, Color> storyColor = {
  "Yellow": Colors.yellow,
  "Green": Colors.green,
  "Pink": Colors.pink,
  "Red": Colors.red,
  "Black": Colors.black,
  "Blue": Colors.blue,
  "Grey": Colors.grey,
  "Orange": Colors.orange,
  "Purple": Colors.purple,
};
